DataEssenceDescriptor (Media Authoring with Java API)
Date: 2016-02-05

tv.amwa.maj.model

## Interface DataEssenceDescriptor

- All Superinterfaces:
    AAFFileDescriptor, EssenceDescriptor, InterchangeObject, MediaEntity, MetadataObject
  All Known Subinterfaces:
    ANCDataDescriptor, VBIDataDescriptor
  All Known Implementing Classes:
    ANCDataDescriptorImpl, DataEssenceDescriptorImpl, VBIDataDescriptorImpl

      public interface DataEssenceDescriptor
      extends AAFFileDescriptor

  Specifies the description of a file of data essence and identifies the data coding of that essence. Data essence includes that specified in MXF mappings for MPEG (SMPTE 381M), DV (SMPTE 383M), D10 and D11 (SMPTE 386M). Data essence often refers to time-varying data, such as subtitles (closed captions).

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `DataEssenceDescriptor` | `clone()` Create a cloned copy of this data essence descriptor.
    `AUID` | `getDataEssenceCoding()` Returns the data essence coding property of this data essence descriptor.
    `void` | `setDataEssenceCoding(AUID dataEssenceCoding)` Sets the data essence coding property of this data essence descriptor.

    - ### Methods inherited from interface tv.amwa.maj.model.AAFFileDescriptor

      `getCodec, getContainerFormat, getEssenceLength, getLinkedTrackID, getSampleRate, setCodec, setContainerFormat, setEssenceLength, setLinkedTrackID, setSampleRate`

    - ### Methods inherited from interface tv.amwa.maj.model.EssenceDescriptor

      `appendLocator, appendSubDescriptor, clearLocators, countLocators, countSubDescriptors, getLocatorAt, getLocators, getSubDescriptorAt, getSubDescriptors, insertLocatorAt, insertSubDescriptorAt, prependLocator, prependSubDescriptor, removeLocatorAt, removeSubDescriptorAt`

    - ### Methods inherited from interface tv.amwa.maj.model.InterchangeObject

      `addApplicationPlugin, clearApplicationPlugins, containsApplicationPlugin, containsApplicationPlugin, countApplicationPlugins, deepEquals, disableGenerationTracking, enableGenerationTracking, equals, getApplicationPlugins, getGeneration, getLinkedGenerationID, getObjectClass, isGenerationTracked, removeApplicationPlugin, removeApplicationPlugin, setLinkedGenerationID, setObjectClass, toString`

    - ### Methods inherited from interface tv.amwa.maj.industry.MediaEntity

      `getPersistentID, setPersistentIndex`

- - ### Method Detail

    - #### setDataEssenceCoding

          void setDataEssenceCoding(AUID dataEssenceCoding)

      Sets the data essence coding property of this data essence descriptor. Setting this optional property to `null` omits the property.

      Parameters:
        `dataEssenceCoding` - Data essence coding property of this data essence descriptor.

    - #### getDataEssenceCoding

          AUID getDataEssenceCoding()
                             throws PropertyNotPresentException

      Returns the data essence coding property of this data essence descriptor.

      Returns:
        Data essence coding property of this data essence descriptor.
      Throws:
        `PropertyNotPresentException` - The optional data essence coding property is not present in this data essence descriptor.

    - #### clone

          DataEssenceDescriptor clone()

      Create a cloned copy of this data essence descriptor.

      Specified by:
        `clone` in interface `AAFFileDescriptor`
      Specified by:
        `clone` in interface `EssenceDescriptor`
      Specified by:
        `clone` in interface `InterchangeObject`
      Specified by:
        `clone` in interface `MediaEntity`
      Returns:
        Cloned copy of this data essence descriptor.

(c)2007-2016 Richard Cartwright, all rights reserved. Licensed under Apache 2 license and subject to the AMWA IPR policy.